// nolint
// autogenerated code using github.com/rigelrozanski/multitool
// aliases generated for the following subdirectories:
// ALIASGEN: github.com/kava-labs/kava/x/auction/keeper
// ALIASGEN: github.com/kava-labs/kava/x/auction/types
package auction

import (
	"github.com/kava-labs/kava/x/auction/keeper"
	"github.com/kava-labs/kava/x/auction/types"
)

const (
	DefaultCodespace                      = types.DefaultCodespace
	CodeInvalidInitialAuctionID           = types.CodeInvalidInitialAuctionID
	CodeInvalidModulePermissions          = types.CodeInvalidModulePermissions
	CodeUnrecognizedAuctionType           = types.CodeUnrecognizedAuctionType
	CodeAuctionNotFound                   = types.CodeAuctionNotFound
	CodeAuctionHasNotExpired              = types.CodeAuctionHasNotExpired
	CodeAuctionHasExpired                 = types.CodeAuctionHasExpired
	CodeInvalidBidDenom                   = types.CodeInvalidBidDenom
	CodeInvalidLotDenom                   = types.CodeInvalidLotDenom
	CodeBidTooSmall                       = types.CodeBidTooSmall
	CodeBidTooLarge                       = types.CodeBidTooLarge
	CodeLotTooSmall                       = types.CodeLotTooSmall
	CodeLotTooLarge                       = types.CodeLotTooLarge
	CodeCollateralAuctionIsInReversePhase = types.CodeCollateralAuctionIsInReversePhase
	CodeCollateralAuctionIsInForwardPhase = types.CodeCollateralAuctionIsInForwardPhase
	EventTypeAuctionStart                 = types.EventTypeAuctionStart
	EventTypeAuctionBid                   = types.EventTypeAuctionBid
	EventTypeAuctionClose                 = types.EventTypeAuctionClose
	AttributeValueCategory                = types.AttributeValueCategory
	AttributeKeyAuctionID                 = types.AttributeKeyAuctionID
	AttributeKeyAuctionType               = types.AttributeKeyAuctionType
	AttributeKeyBidder                    = types.AttributeKeyBidder
	AttributeKeyBidDenom                  = types.AttributeKeyBidDenom
	AttributeKeyLotDenom                  = types.AttributeKeyLotDenom
	AttributeKeyBidAmount                 = types.AttributeKeyBidAmount
	AttributeKeyLotAmount                 = types.AttributeKeyLotAmount
	AttributeKeyEndTime                   = types.AttributeKeyEndTime
	DefaultNextAuctionID                  = types.DefaultNextAuctionID
	ModuleName                            = types.ModuleName
	StoreKey                              = types.StoreKey
	RouterKey                             = types.RouterKey
	DefaultParamspace                     = types.DefaultParamspace
	QuerierRoute                          = types.QuerierRoute
	DefaultMaxAuctionDuration             = types.DefaultMaxAuctionDuration
	DefaultBidDuration                    = types.DefaultBidDuration
	QueryGetAuction                       = types.QueryGetAuction
	QueryGetAuctions                      = types.QueryGetAuctions
	QueryGetParams                        = types.QueryGetParams
)

var (
	// functions aliases
	NewKeeper                            = keeper.NewKeeper
	NewQuerier                           = keeper.NewQuerier
	NewSurplusAuction                    = types.NewSurplusAuction
	NewDebtAuction                       = types.NewDebtAuction
	NewCollateralAuction                 = types.NewCollateralAuction
	NewWeightedAddresses                 = types.NewWeightedAddresses
	RegisterCodec                        = types.RegisterCodec
	ErrInvalidInitialAuctionID           = types.ErrInvalidInitialAuctionID
	ErrInvalidModulePermissions          = types.ErrInvalidModulePermissions
	ErrUnrecognizedAuctionType           = types.ErrUnrecognizedAuctionType
	ErrAuctionNotFound                   = types.ErrAuctionNotFound
	ErrAuctionHasNotExpired              = types.ErrAuctionHasNotExpired
	ErrAuctionHasExpired                 = types.ErrAuctionHasExpired
	ErrInvalidBidDenom                   = types.ErrInvalidBidDenom
	ErrInvalidLotDenom                   = types.ErrInvalidLotDenom
	ErrBidTooSmall                       = types.ErrBidTooSmall
	ErrBidTooLarge                       = types.ErrBidTooLarge
	ErrLotTooSmall                       = types.ErrLotTooSmall
	ErrLotTooLarge                       = types.ErrLotTooLarge
	ErrCollateralAuctionIsInReversePhase = types.ErrCollateralAuctionIsInReversePhase
	ErrCollateralAuctionIsInForwardPhase = types.ErrCollateralAuctionIsInForwardPhase
	NewGenesisState                      = types.NewGenesisState
	DefaultGenesisState                  = types.DefaultGenesisState
	GetAuctionKey                        = types.GetAuctionKey
	GetAuctionByTimeKey                  = types.GetAuctionByTimeKey
	Uint64ToBytes                        = types.Uint64ToBytes
	Uint64FromBytes                      = types.Uint64FromBytes
	NewMsgPlaceBid                       = types.NewMsgPlaceBid
	NewParams                            = types.NewParams
	DefaultParams                        = types.DefaultParams
	ParamKeyTable                        = types.ParamKeyTable
	NewQueryAllAuctionParams             = types.NewQueryAllAuctionParams
	NewAuctionWithPhase                  = types.NewAuctionWithPhase

	// variable aliases
	DistantFuture          = types.DistantFuture
	ModuleCdc              = types.ModuleCdc
	AuctionKeyPrefix       = types.AuctionKeyPrefix
	AuctionByTimeKeyPrefix = types.AuctionByTimeKeyPrefix
	NextAuctionIDKey       = types.NextAuctionIDKey
	DefaultIncrement       = types.DefaultIncrement
	KeyBidDuration         = types.KeyBidDuration
	KeyMaxAuctionDuration  = types.KeyMaxAuctionDuration
	KeyIncrementSurplus    = types.KeyIncrementSurplus
	KeyIncrementDebt       = types.KeyIncrementDebt
	KeyIncrementCollateral = types.KeyIncrementCollateral
)

type (
	Keeper                = keeper.Keeper
	Auction               = types.Auction
	Auctions              = types.Auctions
	BaseAuction           = types.BaseAuction
	SurplusAuction        = types.SurplusAuction
	DebtAuction           = types.DebtAuction
	CollateralAuction     = types.CollateralAuction
	WeightedAddresses     = types.WeightedAddresses
	SupplyKeeper          = types.SupplyKeeper
	GenesisAuction        = types.GenesisAuction
	GenesisAuctions       = types.GenesisAuctions
	GenesisState          = types.GenesisState
	MsgPlaceBid           = types.MsgPlaceBid
	Params                = types.Params
	QueryAuctionParams    = types.QueryAuctionParams
	QueryAllAuctionParams = types.QueryAllAuctionParams
	AuctionWithPhase      = types.AuctionWithPhase
)
